
ChiliProject - Bug # 965: Creating Subtickets failing since 2.6.0 up to 3.1.0

Status: Closed Priority: Normal
Author: Chris Dähn Category: Issue tracking
Created: 2012-04-05 Assignee:
Updated: 2012-04-10 Due date:
Remote issue URL:
Affected version: master
Description: Hi,

as I mentioned before in ticket #906 ADDING new subtickets still fails since version 2.6.0 - now tested with 
3.1.0 and same problem.

I even tested it with old tickets which have subtickets where this problem still occurs.

Has somebody removed the functionality for creating subtickets?

*My system:*
  * Debian 6.0 x64
  * Ruby 1.8.7
  * Rub Gem 1.3.7
  * ChiliProject 3.1.0.d61ad0130 (MySQL)

*My bundle gems:*
  * actionmailer (2.3.14)
  * actionpack (2.3.14)
  * activerecord (2.3.14)
  * activeresource (2.3.14)
  * activesupport (2.3.14)
  * acts-as-taggable-on (2.1.0)
  * bundler (1.0.18)
  * capybara (1.1.2)
  * childprocess (0.3.1)
  * coderay (1.0.5)
  * edavis10-object_daddy (0.4.3)
  * fastercsv (1.5.4)
  * ffi (1.0.11)
  * i18n (0.4.2)
  * liquid (2.3.0)
  * metaclass (0.0.1)
  * mime-types (1.18)
  * mocha (0.10.0)
  * multi_json (1.1.0)
  * mysql (2.8.1)
  * mysql2 (0.2.13)
  * net-ldap (0.2.2)
  * nokogiri (1.5.2)
  * pg (0.9.0)
  * rack (1.1.2)
  * rack-test (0.6.1)
  * rails (2.3.14)
  * rake (0.9.2)
  * rdoc (3.9.4)
  * rmagick (1.15.17)
  * ruby-openid (2.1.8)
  * rubytree (0.5.3)
  * rubyzip (0.9.6.1)
  * selenium-webdriver (2.20.0)
  * shoulda (2.10.3)
  * tzinfo (0.3.32)
  * xpath (0.1.4)

Can I help debugging it anyway?

ciao,
Chris

History
2012-04-05 09:23 am - Holger Just
- Priority changed from High to Normal

- Target version deleted (3.1.0)

- Status changed from Open to Needs more information

I can't reproduce this. On my test install I can create sub-tasks just fine.

What do you mean with "fails"? You you have a stack trace, an error message, anything? Does your user have "Manage Subtasks" permission in the 
respective Project?

2012-04-05 10:02 am - Chris Dähn
Hi,

I checked the roles: They aren't untouched since 2.4.0 ;-)  ...so: yes, I have the right to mange subtasks and yes, other users with this right tested it, 
too.

Currently I'm not able to produce a stack trace, due to my limited / not existent Ruby skills - but if you send me some commands/hints I should be able 
to get it working (my daily work is C++ and Perl, I'm very unexperienced in Ruby).

Currently I just have some log messages from he process of creating a sub ticket - If helpfull I can deliver the database entries for them, too.

<pre>
Processing IssuesController#new (for 192.168.10.30 at 2012-04-05 11:52:56) [GET]
  Parameters: {"project_id"=>"itservice", "action"=>"new", "issue"=>{"parent_issue_id"=>"1964"}, "controller"=>"issues"}
Rendering template within layouts/base
Rendering issues/new
Completed in 110ms (View: 81, DB: 3) | 200 OK [http://intranet/chiliproject/projects/itservice/issues/new?issue%5Bparent_issue_id%5D=1964]

Processing IssuesController#new (for 192.168.10.30 at 2012-04-05 11:53:11) [POST]
  Parameters: {"commit"=>"Anlegen", "project_id"=>"itservice", "action"=>"new", 
"authenticity_token"=>"erS74uZEauXouYDnYRrLJVrhQN2u7HwtzvHH2wkAVZ4=", "send_notification"=>"1", "issue"=>{"start_date"=>"2012-04-05", 
"estimated_hours"=>"", "priority_id"=>"4", "done_ratio"=>"0", "assigned_to_id"=>"2", "subject"=>"Test-Subtask 2", "tracker_id"=>"4", "due_date"=>"", 
"status_id"=>"1", "description"=>"...."}, "controller"=>"issues", "attachments"=>{"1"=>{"description"=>""}}}
Completed in 44ms (View: 16, DB: 3) | 200 OK [http://intranet/chiliproject/issues/new?project_id=itservice]
Processing IssuesController#create (for 192.168.10.30 at 2012-04-05 11:53:13) [POST]
  Parameters: {"commit"=>"Anlegen", "project_id"=>"itservice", "action"=>"create", 
"authenticity_token"=>"erS74uZEauXouYDnYRrLJVrhQN2u7HwtzvHH2wkAVZ4=", "send_notification"=>"1", "issue"=>{"start_date"=>"2012-04-05", 
"estimated_hours"=>"", "priority_id"=>"4", "done_ratio"=>"0", "assigned_to_id"=>"2", "subject"=>"Test-Subtask 2", "tracker_id"=>"4", "due_date"=>"", 
"status_id"=>"1", "description"=>"...."}, "controller"=>"issues", "attachments"=>{"1"=>{"description"=>""}}}
Sending email notification to: 
Redirected to http://intranet/chiliproject/issues/2139
Completed in 472ms (DB: 290) | 302 Found [http://intranet/chiliproject/projects/itservice/issues]

Processing IssuesController#show (for 192.168.10.30 at 2012-04-05 11:53:25) [GET]
  Parameters: {"action"=>"show", "id"=>"1964", "controller"=>"issues"}
Rendering template within layouts/base
Rendering issues/show.rhtml
Completed in 413ms (View: 386, DB: 4) | 200 OK [http://intranet/chiliproject/issues/1964]
</pre>

It's so annoying for me and my colleagues, that subtasks worked flawlessly in CP 2.40 and 2.5.0 and after updating to 2.6.0 (and 3.0.0 and 3.1.0) this 
beloved feature is gone. Why ever.

So we appreciate any hints or help to get our intranet working again.

ciao,
Chris

2012-04-05 06:54 pm - Holger Just
Make sure that you don't have any plugins that mess with the issues, e.g. by overwriting issue views. It looks like one of your plugins is overwriting 
things and wasn't updated properly.

2012-04-10 09:10 am - Chris Dähn
Hi,

I followed your hint and found a plugin which caused these problems around subtickets.

Many thanks for the hint and your fast help from me and my colleagues!

ciao,
Chris

2012-04-10 09:11 am - Chris Dähn
- Status changed from Needs more information to Closed

*closed*
